<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

echo'<img src="../images/img/banners.gif" alt=""> <b>Кто в онлайне</b><br><br>'; 
 	
$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);}
	


$lines=file("../local/online.dat");
$lines = array_reverse($lines);
$str = implode("",file("../local/online.dat"));
$substr_count = substr_count($str,"##");

$itogo=count($lines);
$reg=$itogo-$substr_count;

echo'Сейчас на сайте: '.(int)$itogo.'<br> Зарегистрированных:  '.(int)$reg.'<br><hr>';


$file = file("../local/online.dat");
$total = count($file);   
$file = array_reverse($file); 
for ($i = 0; $i < $total; $i++){
$data = explode("#",$file[$i]);
$time=date('H:i', $data[0]);

if($data[2]!=""){
$regar[]='<img src="../images/img/chel.gif" alt=""> <b><a href="../pages/anketa.php?uz='.$data[2].'&amp;'.SID.'">'.$data[2].'</a></b> Время: '.$time.'<br> ('.$data[1].' - '.$data[3].')<hr>';
}

if($data[2]==""){
$fullar[]='<img src="../images/img/chel.gif" alt=""> <b>'.$config_guestsuser.'</b> Время: '.$time.'<br> ('.$data[1].' - '.$data[3].')<hr>';
}else{
$fullar[]='<img src="../images/img/chel.gif" alt=""> <b><a href="../pages/anketa.php?uz='.$data[2].'&amp;'.SID.'">'.$data[2].'</a></b> Время: '.$time.'<br> ('.$data[1].' - '.$data[3].')<hr>';
}}


if($list!="full"){
$total = count($regar);    
if($total<1){echo'<br><img src="../images/img/reload.gif" alt=""> <b>Зарегистрированных нет!</b><br>';}
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $config_onlinelist){ $end = $total; }
else {$end = $start + $config_onlinelist; }
for ($i = $start; $i < $end; $i++){

echo $regar[$i];

}}

if($list=="full"){
$total = count($fullar);    
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $config_onlinelist){ $end = $total; }
else {$end = $start + $config_onlinelist; }
for ($i = $start; $i < $end; $i++){

echo $fullar[$i];

}}


if ($start != 0) {echo '<a href="online.php?start='.($start - $config_onlinelist).'&amp;list='.$list.'&amp;'.SID.'">&lt;-Назад</a> ';}else{echo'&lt;-Назад';}
echo' | '; 
if ($total > $start + $config_onlinelist) {echo ' <a href="online.php?start='.($start + $config_onlinelist).'&amp;list='.$list.'&amp;'.SID.'">Далее-&gt;</a>';}else{echo'Далее-&gt;';}

if($total>0){
$ba=ceil($total/$config_onlinelist);
$ba2=$ba*$config_onlinelist-$config_onlinelist;

echo '<br><hr>Страницы:';
$asd=$start-($config_onlinelist*3);
$asd2=$start+($config_onlinelist*4);

if($asd<$total && $asd>0){echo ' <a href="online.php?start=0&amp;list='.$list.'&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;){
	
if($i<$total && $i>=0){
	
$ii=floor(1+$i/$config_onlinelist);

if ($start==$i) {
echo ' <b>'.$ii.'</b>';
} else {
echo ' <a href="online.php?start='.$i.'&amp;list='.$list.'&amp;'.SID.'">'.$ii.'</a>';
}}

$i=$i+$config_onlinelist;}
if($asd2<$total){echo ' ... <a href="online.php?start='.$ba2.'&amp;list='.$list.'&amp;'.SID.'">'.$ba.'</a>';}
}

if($list!="full"){
echo'<br><br><img src="../images/img/chat.gif" alt=""> <a href="online.php?list=full&amp;'.SID.'">Показать гостей</a><br>';
} else {
echo'<br><br><img src="../images/img/chat.gif" alt=""> <a href="online.php?'.SID.'">Cкрыть гостей</a><br>';}

echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';
include_once "../themes/$config_themes/foot.php";
?>